--[[
The Icarus Project, Copyright (c) 2005 John Forsythe <chaosmachine@gmail.com> (aka chaosmachine)
Feel free to learn and borrow from this code for non-commercial purposes.
If you use my code in your project, I'd appreciate a credit in your readme file.
]]

if Music.playing() then Music.stop() end
--System.usbDiskModeActivate()

-- load resources
title = Image.load("bkg/title.png")
blockImage = Image.createEmpty(480, 272)
tiles = Image.createEmpty(96,256)
note = Sound.load("snd/note.wav")
badsound = Sound.load("snd/wrongmove.wav")

-- colors
colorWhite = Color.new(255, 255, 255)
colorBlack = Color.new(0, 0, 0)
colorRed = Color.new(255, 0, 0)
colorGreen = Color.new(0, 255, 0)
colorBlue = Color.new(0, 0, 255)

-- variables
math.randomseed(os.time())
levels = 15
songs = 5
song = 3 -- set 2 lower than what you want to start on

-- load scripts
dofile("src/game.lua")
dofile("src/tiles.lua")
dofile("src/draw.lua")
dofile("src/menu.lua")
dofile("src/system.lua")

loadSettings()
level = lastLevel
if musicOn then nextSong() end

-- show title image

screen:blit(0, 0, title, 0, 0, title:width(), title:height(), false)
screen.waitVblankStart()
screen.flip()
screen:blit(0, 0, title, 0, 0, title:width(), title:height(), false)
screen.waitVblankStart()
screen.flip()

while not Controls.read():start() do
	if (not Music.playing()) and musicOn then
		nextSong()
	end
	screen.waitVblankStart()
end

fadeOut(0)

startLevel(level)

-- game loop
while exitNow == false do

	checkPad()
	cpsTime = levelSeconds()
	if lastCpsTime ~= cpsTime then
		lastCpsTime = cpsTime
		doUpdateScreen = 1
	end
	
	if doUpdateScreen == 1 then
		doUpdateScreen = 0
		updateScreen()
	end
	
	sleep=sleep+1
	if sleep == 7000 then goToSleep() end -- approximately 2 minutes
end